Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.svg
Class AFPFontFamilyResolver

    java.lang.Object
      org.apache.fop.svg.font.FilteringFontFamilyResolver
          org.apache.fop.afp.svg.AFPFontFamilyResolver

All Implemented Interfaces:
  org.apache.batik.bridge.FontFamilyResolver, FOPFontFamilyResolver

    public class AFPFontFamilyResolver

extends FilteringFontFamilyResolver

Constructor Summary
`AFPFontFamilyResolver(FontInfo fontInfo, EventBroadcaster eventBroadCaster)`

Method Summary
`FOPGVTFontFamily` | `getFamilyThatCanDisplay(char c)`
`FOPGVTFontFamily` | `resolve(java.lang.String familyName)`

Methods inherited from class org.apache.fop.svg.font.FilteringFontFamilyResolver
`getDefault, loadFont, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPFontFamilyResolver

    public AFPFontFamilyResolver(FontInfo fontInfo,
                                 EventBroadcaster eventBroadCaster)

Method Detail

### resolve

    public FOPGVTFontFamily resolve(java.lang.String familyName)

  Specified by:
    `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`
  Specified by:
    `resolve` in interface `FOPFontFamilyResolver`
  Overrides:
    `resolve` in class `FilteringFontFamilyResolver`

### getFamilyThatCanDisplay

    public FOPGVTFontFamily getFamilyThatCanDisplay(char c)

  Specified by:
    `getFamilyThatCanDisplay` in interface `org.apache.batik.bridge.FontFamilyResolver`
  Specified by:
    `getFamilyThatCanDisplay` in interface `FOPFontFamilyResolver`
  Overrides:
    `getFamilyThatCanDisplay` in class `FilteringFontFamilyResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.